Name:          aries-util
Version:       0.4
Release:       %mkrel 11
Group:         Development/Java
Summary:       Apache Aries Util
License:       ASL 2.0
URL:           http://aries.apache.org/
# svn export http://svn.apache.org/repos/asf/aries/tags/org.apache.aries.util-0.4/ aries-util-0.4
# tar cafJ aries-util-0.4.tar.xz aries-util-0.4
Source0:       %{name}-%{version}.tar.xz
Patch0:        %{name}-%{version}-java.patch

BuildArch:     noarch

BuildRequires: java-devel
BuildRequires: maven-local
BuildRequires: maven-release-plugin
BuildRequires: mvn(org.apache.felix:org.osgi.compendium)
BuildRequires: mvn(org.apache.felix:org.osgi.core)

%description
This package contains the OSGi common util for Apache Aries.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%pom_remove_parent
%pom_xpath_inject "pom:project" "<groupId>org.apache.aries</groupId>"
#%%pom_xpath_remove "pom:project/pom:packaging"
%pom_xpath_set "pom:project/pom:packaging" jar
%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:artifactId = 'org.osgi.compendium' ]/pom:groupId" org.apache.felix
%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:artifactId = 'org.osgi.core' ]/pom:groupId" org.apache.felix
%pom_remove_dep org.eclipse:osgi

%build

%mvn_file :org.apache.aries.util %{name}
# test disabled because of missing dependency:
# org.apache.aries.testsupport:org.apache.aries.testsupport.unit:jar
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 0.4-11.mga6
+ Revision: 982527
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 0.4-10.mga6
+ Revision: 975428
- First rebuild of the java stack
- sync package aries-util with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4-8.mga5
+ Revision: 751173
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4-7.mga5
+ Revision: 677898
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.4-6.mga4
+ Revision: 545800
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 dmorgan <dmorgan> 0.4-5.mga4
+ Revision: 501823
- Build with xmvn

  + luigiwalser <luigiwalser>
    - BR maven-local for mvn-rpmbuild

* Fri Jan 11 2013 umeabot <umeabot> 0.4-3.mga3
+ Revision: 346062
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 0.4-2.mga3
+ Revision: 331530
- imported package aries-util


* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 14 2012 Patryk Obara <pobara@redhat.com> 0.4-1
- Initial packaging
